Customer Transaction Hub Data
1 min
GET
https://api.nue.io/customers/{customerId}/transactionHubData
Path Parameters
- customerIdstringrequiredDescription
Responses
200
- object
- statusstringDescription
- dataobject
- customerIdstringDescription
- transactionDetailsobject[]Description
- transactionIdstringDescription
- datestring<date-time>DescriptionFormatdate-time
- amountnumberDescription
- descriptionstringDescription
- statusstringDescription
- typestringDescription
- summaryobjectDescription
- totalTransactionsintegerDescription
- totalAmountnumberDescription
- lastTransactionDatestring<date-time>DescriptionFormatdate-time
400
401
404
curl
curl --request GET \
--url https://api.nue.io/customers/{customerId}/transactionHubData \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/customers/{customerId}/transactionHubData", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/customers/{customerId}/transactionHubData")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/customers/{customerId}/transactionHubData"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
{
"status": "",
"data": {
"customerId": "",
"transactionDetails": [
{
"transactionId": "",
"date": "",
"amount": 0,
"description": "",
"status": "",
"type": ""
}
],
"summary": {
"totalTransactions": 0,
"totalAmount": 0,
"lastTransactionDate": ""
}
}
}400
// Bad Request - The request was malformed or contained invalid parameters
401
// Unauthorized - Authentication information is missing or invalid
404
// Not Found - The requested customer was not found